=== debian/control ===
Source: xfrisk
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10),
               libxaw7-dev,
               xaw3dg-dev
Homepage: https://www.tuxick.net/xfrisk/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xfrisk.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xfrisk.git
Rules-Requires-Root: no

Package: xfrisk
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: xfonts-75dpi | xfonts-100dpi
Description: Server and X11 client for playing risk with humans or AIs
 Risk is a board game played on a map of the world.  You control a group
 of armies and attempt to capture large sections of the world and try to
 stop your opponents from doing the same thing.  You can also choose to
 play with a mission that you have to accomplish before your opponents do.
 .
 xfrisk allows you to play risk against other players over TCP/IP and
 includes 3 different AI players.
