=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Enforce no optimization, causes xfrisk to crash. See
# https://bugs.debian.org/874133
export DEB_CFLAGS_MAINT_APPEND=-O0

%:
	dh $@
