=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=2
https://www.tuxick.net/xfrisk/files/	[Xx][Ff]risk-([\d.]*)\.tar\.gz	debian	uupdate
